Brivio API reference
Banking

Create a bank rule. At least one condition and one action are required; a new rule goes last in priority. (scope: banking:write)

POST
/banking/rules

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body

A bank reconciliation rule. At least one condition (matchCounterpartyName, matchCounterpartyIban, matchDescription/Regex, amountMin/Max, direction != any) and one action (assignContactId, assignAccountId, assignCostCenterId, assignVatRate, descriptionTemplate, markIgnored, memo) are required.

name?string
Lengthlength <= 200
isActive?boolean
Defaulttrue
stagingMode?string
Default"recognized"
Value in"recognized""categorized"
matchCounterpartyName?string
Lengthlength <= 255
matchCounterpartyIban?string
Lengthlength <= 40
matchDescriptionRegex?string
Lengthlength <= 500
matchDescription?string
Lengthlength <= 500
matchDescriptionOp?string
Default"contains"
Value in"contains""starts_with""equals""regex"
amountMin?string

Decimal, up to 2 dp

amountMax?string

Decimal, up to 2 dp

direction?string
Default"any"
Value in"any""inflow""outflow"
assignContactId?string
Formatuuid
assignAccountId?string
Formatuuid
assignCostCenterId?string
Formatuuid
assignVatRate?integer
Range0 <= value <= 100
descriptionTemplate?string
Lengthlength <= 500
markIgnored?boolean
Defaultfalse
memo?string
Lengthlength <= 2000

Response Body

OK

curl -X POST "https://example.com/banking/rules" \  -H "Content-Type: application/json" \  -d '{}'
Empty